Qt 5.11 | Qt Sensors | C++ Classes | QDistanceReading

Qt 5.11.3 Reference Documentation

# QDistanceReading Class

The QDistanceReading class holds distance reading in cm from the proximity sensor. More...

Header: | #include <QDistanceReading>
qmake: | QT += sensors
Since: | Qt 5.4
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- distance : const qreal

- 1 property inherited from QSensorReading

## Public Functions

| QDistanceReading(QObject *parent = DECLARE_READING(QDistanceReading))
virtual | ~QDistanceReading()
qreal | distance() const
void | setDistance(qreal distance)

## Reimplemented Public Functions

virtual void | copyValuesFrom(QSensorReading *other) override

- 4 public functions inherited from QSensorReading

## Detailed Description

The QDistanceReading class holds distance reading in cm from the proximity sensor.

The QDistanceReading class holds distance reading in cm from the proximity sensor. Note: Some proximity sensor only support two values for distance, a near and far value. In this case, the sensor should report its maximum range value to represent the far state, and a lesser value to represent the near state.

#### QDistanceReading Units

The distance is measured in cm

The distance sensor is typically located in the front face of a device, and thus will measure the distance of an object from the device's front face.

## Property Documentation

### distance : const qreal

distance of object from front face of device

Access functions:

qreal | distance() const

See also QDistanceReading Units.

## Member Function Documentation

### QDistanceReading::QDistanceReading(QObject *parent = DECLARE_READING(QDistanceReading))

Default constructs an instance of QDistanceReading.

### `[virtual]` QDistanceReading::~QDistanceReading()

Destroys the instance of QDistanceReading. The destructor is virtual.

### `[override virtual]` void QDistanceReading::copyValuesFrom(QSensorReading *other)

### void QDistanceReading::setDistance(qreal distance)

Sets distance to distance.

See also distance().